# pandas.tseries.offsets.BusinessHour

class pandas.tseries.offsets.BusinessHour

  DateOffset subclass representing possibly n business hours.

  Parameters
    n int, default 1

      The number of months represented.

    normalize bool, default False

      Normalize start/end dates to midnight before generating date range.

    weekmask str, Default ‘Mon Tue Wed Thu Fri’

      Weekmask of valid business days, passed to `numpy.busdaycalendar`.

    start str, default “09:00”

      Start time of your custom business hour in 24h format.

    end str, default: “17:00”

      End time of your custom business hour in 24h format.

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `next_bday` | Used for moving to next business day.
  `offset` | Alias for self._offset.

  calendar |
  end |
  freqstr |
  holidays |
  kwds |
  n |
  name |
  nanos |
  normalize |
  rule_code |
  start |
  weekmask |

  Methods

  `__call__`(*args, **kwargs) | Call self as a function.
  `rollback`(other) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(other) | Roll provided date forward to next offset only if not on offset.

  apply |
  apply_index |
  copy |
  isAnchored |
  is_anchored |
  is_month_end |
  is_month_start |
  is_on_offset |
  is_quarter_end |
  is_quarter_start |
  is_year_end |
  is_year_start |
  onOffset |